Ads · Ad Targeting
Browses targeting categories. Works with Meta Ads.
GET
https://api.pozy.ai/v1/ads/targeting/browseFacebook and InstagrambrowseAdTargeting
Guide: Targeting
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string | |
adAccountIdrequired | string | Matches ^act_\d+$ |
type | string | |
parentNodeId | string | |
selectable | boolean |
Example
curl -X GET "https://api.pozy.ai/v1/ads/targeting/browse?accountId=696e0b682d0a31188e7a2ba9&adAccountId=666219aad7bab67ace411e4f" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/ads/targeting/browse?accountId=696e0b682d0a31188e7a2ba9&adAccountId=666219aad7bab67ace411e4f", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/ads/targeting/browse",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"accountId": "696e0b682d0a31188e7a2ba9",
"adAccountId": "666219aad7bab67ace411e4f",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
adAccountIdstringrequirednodesarray of objectrequired10 child fields
nodeIdstringrequiredparentNodeIdstringrequiredCan be null.
idstringrequiredCan be null.
namestringrequiredtypestringrequiredCan be null.
patharray of stringrequiredselectablebooleanrequireddescriptionstringaudienceSizeLowerBoundintegeraudienceSizeUpperBoundinteger
200 response
{
"adAccountId": "666219aad7bab67ace411e4f",
"nodes": [
{
"nodeId": "661065480d0716ebcd3f1af3",
"parentNodeId": "6afce8f087a830b77b731436",
"id": "6bfebd43ddc270f6d2c56fc5",
"name": "Acme",
"type": "string",
"path": [
"string"
],
"selectable": true,
"description": "A short description",
"audienceSizeLowerBound": 1,
"audienceSizeUpperBound": 1
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.